org.apache.cassandra.schema

## Enum TableParams.Option

- java.lang.Object
- - java.lang.Enum<TableParams.Option>
  - - org.apache.cassandra.schema.TableParams.Option

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TableParams.Option>

Enclosing class:
  TableParams

    public static enum TableParams.Option
    extends java.lang.Enum<TableParams.Option>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BLOOM_FILTER_FP_CHANCE`
`CACHING`
`CDC`
`COMMENT`
`COMPACTION`
`COMPRESSION`
`CRC_CHECK_CHANCE`
`DCLOCAL_READ_REPAIR_CHANCE`
`DEFAULT_TIME_TO_LIVE`
`EXTENSIONS`
`GC_GRACE_SECONDS`
`MAX_INDEX_INTERVAL`
`MEMTABLE_FLUSH_PERIOD_IN_MS`
`MIN_INDEX_INTERVAL`
`READ_REPAIR_CHANCE`
`SPECULATIVE_RETRY`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`
`static TableParams.Option` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TableParams.Option[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BLOOM_FILTER_FP_CHANCE

    public static final TableParams.Option BLOOM_FILTER_FP_CHANCE

#### CACHING

    public static final TableParams.Option CACHING

#### COMMENT

    public static final TableParams.Option COMMENT

#### COMPACTION

    public static final TableParams.Option COMPACTION

#### COMPRESSION

    public static final TableParams.Option COMPRESSION

#### DCLOCAL_READ_REPAIR_CHANCE

    public static final TableParams.Option DCLOCAL_READ_REPAIR_CHANCE

#### DEFAULT_TIME_TO_LIVE

    public static final TableParams.Option DEFAULT_TIME_TO_LIVE

#### EXTENSIONS

    public static final TableParams.Option EXTENSIONS

#### GC_GRACE_SECONDS

    public static final TableParams.Option GC_GRACE_SECONDS

#### MAX_INDEX_INTERVAL

    public static final TableParams.Option MAX_INDEX_INTERVAL

#### MEMTABLE_FLUSH_PERIOD_IN_MS

    public static final TableParams.Option MEMTABLE_FLUSH_PERIOD_IN_MS

#### MIN_INDEX_INTERVAL

    public static final TableParams.Option MIN_INDEX_INTERVAL

#### READ_REPAIR_CHANCE

    public static final TableParams.Option READ_REPAIR_CHANCE

#### SPECULATIVE_RETRY

    public static final TableParams.Option SPECULATIVE_RETRY

#### CRC_CHECK_CHANCE

    public static final TableParams.Option CRC_CHECK_CHANCE

#### CDC

    public static final TableParams.Option CDC

### Method Detail

#### values

    public static TableParams.Option[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TableParams.Option c : TableParams.Option.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TableParams.Option valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<TableParams.Option>`